Bug 180064 - Data from short-lived thread are not available in snapshot
Data from short-lived thread are not available in snapshot
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-01 03:35 UTC by Tomas Hurka
Modified: 2010-05-26 10:58 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Test case (613 bytes, application/octet-stream)
2010-02-01 03:35 UTC, Tomas Hurka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2010-02-01 03:35:13 UTC
Created attachment 93700 [details]
Test case

When doing CPU profiling of short-lived thread, some of the CPU data from such thread are not available in CPU snapshot. Steps to reproduce:

0) download attached test class and create j2se project for it
1) Run default CPU profiling (entire application, profile only application classes) 
2) do not open live results window and wait for profiled application to finish
3) take application snapshot
4) application creates 30 threads, but only last 10 or so are available in the snapshot
Comment 1 Tomas Hurka 2010-02-01 03:38:58 UTC
Fixed in trunk.
changeset:   158612:a8bacd3636a9
user:        Tomas Hurka <thurka@netbeans.org>
date:        Mon Feb 01 11:37:48 2010 +0100
summary:     bugfix #180064, dump a local event buffer of dead threads
Comment 2 Quality Engineering 2010-02-04 22:32:02 UTC
Integrated into 'main-golden', will be available in build *201002050200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/a8bacd3636a9
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #180064, dump a local event buffer of dead threads


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo